Subject: Re: [PATCH 1/2] services: shepherd: Provide the right #:kernel-log-file on the Hurd.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 02 Jun 2025 17:01:37 +0200

Hi,

[email-masked] writes:

> Does it still make sense to duplicate the default kernel-log-file in guix and shepherd now that 1.0.5 is available?

No, it’s no longer necessary.

> The issue with ED_WOULD_BLOCK is still present on hurd-0.9.git20250420 on core-packages-team. 

Right, I started looking into it back then but then didn’t take the time
to track it down.

> I tried it for a while with #:kernel-log-file set to #f and it felt
> like it was slowing down shepherd significantly enough to be mildly
> annoying but idk if this is something I only noticed because I was
> actively looking for changes.

How did you notice that it was slowing down?  That was with 1.0.5,
right?

Thanks,
Ludo’.